<?php
//error_reporting(E_ALL);
function responder($estado=false, $mensaje='', $data=[]){
	header('Content-Type: application/json');
	echo json_encode([
		'estado' => $estado,
		'mensaje' => $mensaje,
		'data' => $data
	]);
	exit;
}
require_once ("../../config/Cado.php");
require_once ("../login/cLogin.php");
$oLogin = new cLogin();
require_once ("../usuario/cUsuario.php");
$oUsuario = new cUsuario();
require_once ("../piso/cPiso.php");
$oPiso  = new cPiso();
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../historial/cHistorial.php");
$oHistorial = new cHistorial();
require_once("ir_acceso.php");
require_once ("../formatos/formato.php");
	$usuario = $_POST['txt_user'];
	$password = $_POST['txt_pass'];
	
	//echo $usuario.'--'.$password ;
	if(empty($usuario)) responder('error', 'Escriba su usuario');
	if(empty($password)) responder('error', 'Escriba su contraseña');
	$result = $oLogin->acceso($usuario, $password);
	$fila = mysqli_fetch_array($result);
	$numrow = mysqli_num_rows($result);
	
	if($numrow <= 0) responder('error', 'Credenciales incorrectas');
	$dts = $oLogin->mostrarUno($fila['tb_usuario_id']);
	$dt = mysqli_fetch_array($dts);
		//verificar si esta bloqueado
		if($dt['tb_usuario_blo']==1) responder('error', 'Usuario actualmente bloqueado');
		//registro ultima visita
		$oLogin->modificarUltimaVisita($fila['tb_usuario_id']);
		//datos de usuario
		session_start();
		$_SESSION['sistema'] =  "1";
		$_SESSION['usuario_ser'] = $dt['tb_usuario_ser'];
		$_SESSION['usuario_id']	= $dt['tb_usuario_id'];
		$_SESSION['usuario_nombre']	= $usuario_nombre= $dt['tb_usuario_nom']." ".$dt['tb_usuario_ape'];
		$_SESSION['usuariogrupo_id'] = $usugru = $dt['tb_usuariogrupo_id'];
		$_SESSION['usuariogrupo_nombre']= $dt['tb_usuariogrupo_nom'];
		$_SESSION['usuario_empresa_id']= $dt['tb_empresa_id'];
		$_SESSION['empresa_id']	= $dt['tb_empresa_id'];
		$_SESSION['empresa_nombre']	= $dt['tb_empresa_nomcom'];
		$_SESSION['puntoventa_id'] = $dt['tb_puntoventa_id'];
		$_SESSION['puntoventa_nom'] = $dt['tb_puntoventa_nom'];
		
		$user_agen = $_SERVER['HTTP_USER_AGENT'];;
		$mod = 26;
		$ip = mostrar_ip();
		$mod_ide = 0;
		$det = 'ACCESO AL SISTEMA DESDE '.mostrar_ip().' EN | '.$user_agen;
		$fec = date('Y-m-d');
		$doc_id = '';
		$numdoc = '';
		
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
		
		$url = ir($usugru);
		responder('success', "Bienvenido $usuario_nombre", ['redirectTo' => $url]);
?>	